Attribute VB_Name = "basMain"
'******************************************************
'*                                                    *
'*          Date     : 6/12/2003 1:13:57 PM           *
'*          Made By  : Zeljko Mladenovic              *
'*          Comment  : ADO Sample application         *
'*                                                    *
'*        Copyright  2003 www.elitesecurity.org      *
'*                                                    *
'******************************************************

Option Explicit

Public Declare Function ShellExecute Lib _
                "shell32.dll" Alias "ShellExecuteA" _
                (ByVal hwnd As Long, ByVal lpOperation As String, _
                ByVal lpFile As String, ByVal lpParameters As String, _
                ByVal lpDirectory As String, ByVal nShowCmd As Long _
                ) As Long

'-- connection string constants
Private Const mcstrDSNStart As String = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source="
Private Const mcstrDSNEnd   As String = ";Persist Security Info=False"
Private Const mcstrDbPath   As String = "\Data\db1.mdb"

Public Const pcstrTableName     As String = "<TableName>"
Public Const pcstrTableQuery    As String = "SELECT * FROM " & pcstrTableName

Global gConnectionString    As String
Global gFSO                 As Scripting.FileSystemObject

Public Sub Main()

    Set gFSO = New Scripting.FileSystemObject
    
    gConnectionString = mcstrDSNStart & _
                        gFSO.BuildPath(App.Path, mcstrDbPath) & _
                        mcstrDSNEnd
                        
    frmMain.Show
End Sub

Public Sub HanldeADOErr(ByRef adoErrors As ADODB.Errors)
Dim adoErr As ADODB.Error
Dim sErr As String
    
    For Each adoErr In adoErrors
        sErr = sErr & adoErr.Number & "; " & adoErr.NativeError & "; " & adoErr.Source & vbCrLf
        sErr = sErr & adoErr.Description & "; " & adoErr.SQLState & vbCrLf & vbCrLf
    Next
    
    If sErr <> "" Then MsgBox sErr
End Sub
