VERSION 5.00
Begin VB.Form frmChapter32 
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   3630
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8130
   Icon            =   "frmChapter32.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3630
   ScaleWidth      =   8130
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdAction 
      Height          =   1455
      Left            =   120
      TabIndex        =   6
      Top             =   2040
      Width           =   2535
   End
   Begin VB.TextBox txtData 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3375
      Left            =   2880
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   5
      Top             =   120
      Width           =   5175
   End
   Begin VB.Frame fraTable 
      Caption         =   "Tabela/Query"
      Height          =   1815
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2535
      Begin VB.OptionButton optTable 
         Caption         =   "qry_Tekstovi"
         Height          =   375
         Index           =   3
         Left            =   120
         TabIndex        =   4
         Top             =   1320
         Width           =   2175
      End
      Begin VB.OptionButton optTable 
         Caption         =   "qry_Korisnici"
         Height          =   375
         Index           =   2
         Left            =   120
         TabIndex        =   3
         Top             =   960
         Width           =   2175
      End
      Begin VB.OptionButton optTable 
         Caption         =   "tbl_Tekstovi"
         Height          =   375
         Index           =   1
         Left            =   120
         TabIndex        =   2
         Top             =   600
         Width           =   2175
      End
      Begin VB.OptionButton optTable 
         Caption         =   "tbl_Korisnici"
         Height          =   375
         Index           =   0
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   2175
      End
   End
End
Attribute VB_Name = "frmChapter32"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'******************************************************
'*                                                    *
'*        Copyright  2003 www.elitesecurity.org      *
'*                                                    *
'******************************************************

Option Explicit

Private Const mcstrAction       As String = "Otvaranje konekcije," & vbCrLf & _
                                            "preuzimanje podataka i" & vbCrLf & _
                                            "zatvaranje konekcije."

Private m_TableName             As String


Private Sub cmdAction_Click()
Dim adoConn As ADODB.Connection ' konekcija
Dim adoRS   As ADODB.Recordset  ' rekordset u kome ce biti podaci
Dim adoFld  As ADODB.Field      ' polje iz rekordseta, sluzi pri ispisu
Dim sQry    As String           ' SQL upit
    
    On Error GoTo Proc_Err
    
    txtData.Text = ""
    
    '-- kreiraj i otvori konekciju
    Set adoConn = New ADODB.Connection
    adoConn.Open gConnectionString
    
    '-- formiraj upit
    sQry = Replace(pcstrTableQuery, pcstrTableName, m_TableName)
    
    '-- kreiraj i otvori rekordset
    Set adoRS = New ADODB.Recordset
    adoRS.Open sQry, adoConn
    
    '-- idi na prvi zapis
    adoRS.MoveFirst
    
    '-- prikazi zapise
    While Not adoRS.EOF
        
        '-- prikazi trenutni zapis
        For Each adoFld In adoRS.Fields
            txtData.Text = txtData.Text & _
                            Left(adoFld.Name & ": " & String(15, " "), 15) & _
                            adoFld.Value & vbCrLf
        Next
        
        txtData.Text = txtData.Text & String(33, "*") & vbCrLf
        
        '-- pomeri se na sledeci zapis
        adoRS.MoveNext
    Wend
    
Proc_Exit:
    On Error Resume Next
    adoRS.Close
    Set adoRS = Nothing
    
    adoConn.Close
    Set adoConn = Nothing
    Exit Sub
Proc_Err:
    MsgBox "BROJ: " & Err.Number & vbCrLf & _
           "OPIS: " & Err.Description, vbCritical, "GRESKA"
    Resume Proc_Exit
End Sub

Private Sub Form_Load()
    optTable(0).Value = True
    cmdAction.Caption = UCase(mcstrAction)
End Sub

Private Sub optTable_Click(Index As Integer)
    m_TableName = optTable(Index).Caption
End Sub

